cdac.medinfo.sdk.hl7282.hl7model.messages.orderentry

## Class RRE_O26

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.orderentry.RRE_O12_Common
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.orderentry.RRE_O26

-     public final class RRE_O26
      extends RRE_O12_Common

  RRE_O26 - Pharmacy/Treatment Refill Authorization Request Acknowledgment (Event O26). This event is use for Pharmacy/Treatment Refill Authorization Request Acknowledgment.

  Represents a RRE_O26 message structure (see chapter 4A.3.6 ) This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: MSA (Message Acknowledgment Segment) SINGLE_COMPULSARY
  2: ERR (Error Segment) MULTIPLE_OPTIONAL
  3: SFT (Software Segment Segment) MULTIPLE_OPTIONAL
  4: UAC (User Authentication Credential) SINGLE OPTIONAL
  5: NTE (Notes and Comments Segment) MULTIPLE_OPTIONAL
  6: RESPONSE (a Group in RRE_O12 message ) SINGLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  RRE_O26 objO26 = (RRE_O26)MessageFactory.createInstance().createSendSupportedMessage("RRE", "O26");

- - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.hl7model.messages.orderentry.RRE_O12_Common

      `addErrorSegment, addErrorSegments, addNotesAndCommentsSegment, addNotesAndCommentsSegments, addSoftwareSegment, addSoftwareSegment, getErrorSegments, getMessageAcknowledgmentSegment, getNotesAndCommentsSegments, getResponseGroup, getSoftwareSegments, getUserAuthenticationCredentialSegment, setMessageAcknowledgmentSegment, setResponseGroup, setUserAuthenticationCredentialSegment`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`